Page MenuHomePhabricator

Feature flagged lazy loaded references
Closed, ResolvedPublic5 Story Points

Description

  • When the flag is enabled and I view a page fresh from cache the list of references is not there and instead I see a temporary measure "List of references currently unavailable". We'll polish the non-JS use case later after we have conclusive results of the impacts of thsi change (see T125897)
  • Fetch references from the API (T123290)
  • The ReferenceDrawer should load reference data from the blob when the HTML is not present
  • When a user has no JavaScript, the references will be hidden and not function. This will be addressed later in T125897

Developer notes:

  • Feel free to use the MobileFormatter for this one.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
Resolveddr0ptp4kt
OpenNone
OpenCenarium
DuplicateJhernandez
Duplicatedr0ptp4kt
OpenNone
ResolvedJdlrobson
DeclinedNone
ResolvedJdlrobson
Resolvedphuedx
Resolvedphuedx
DeclinedNone
DeclinedCenarium
DeclinedNone

Event Timeline

Jdlrobson created this task.Feb 4 2016, 9:41 PM
Jdlrobson raised the priority of this task from to Normal.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: aaron, gerritbot, Aklapper and 21 others.
Jdlrobson updated the task description. (Show Details)Feb 4 2016, 9:46 PM
Jdlrobson set Security to None.
phuedx added a subscriber: Nirzar.Feb 8 2016, 9:19 AM

When the flag is enabled and I view a page fresh from cache the list of references is not there and instead I see a link to "See references for this page" that points to a Special:References page.

@Nirzar: If the user's UA is RL-capable, then should this link be hidden once the references module has been loaded and initialised?

Jdlrobson updated the task description. (Show Details)
phuedx updated the task description. (Show Details)Feb 8 2016, 5:42 PM
phuedx updated the task description. (Show Details)Feb 8 2016, 5:44 PM
phuedx updated the task description. (Show Details)Feb 8 2016, 5:47 PM
  • Design input needed - we're gonna hit the API now so let's work out what should be shown in interim.
bd808 edited a custom field.Feb 8 2016, 5:48 PM
Jdlrobson updated the task description. (Show Details)Feb 8 2016, 7:23 PM

So the tasks linked in the description are blockers? If so, some of those blockers have blockers that are in the sprint 67. We should sort those out first.

Change 271434 had a related patch set uploaded (by Jdlrobson):
WIP: Allow lazy loading of references

https://gerrit.wikimedia.org/r/271434

aaron removed a subscriber: aaron.Mar 4 2016, 7:45 PM

Change 271434 merged by jenkins-bot:
Allow lazy loading of references (feature flagged)

https://gerrit.wikimedia.org/r/271434

Jdlrobson updated the task description. (Show Details)
Jdlrobson closed this task as Resolved.Mar 9 2016, 12:07 AM

There are questions being raised by the approach and we may need to alter the API we use in T125329
Using the existing API however this is done.
The last 2 bullet points cannot be done until we've resolved this discussion.
I've opened T129182 and put it in Sprint J for consideration.

I'm thus calling this card done. We can continue discussions on other bugs.